2024-01-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.3

2024-01-10  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Makefile.am: Add subprojects/libxml2_cmake.yml

2024-01-10  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add subprojects/libxml2_cmake.yml

2024-01-10  Andrew Potter  <agpotter@gmail.com>

  Add bcrypt dependency. Fixes #64

2024-01-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Add the build-manual option

2024-01-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't require the 'dot' command

  Make it possible to build documentation without the dot command.
  Set the HAVE_DOT option in Doxyfile during configuration.
  In Autotools builds it's still unconditionally YES.
  The inheritance diagrams don't look as nice without the dot
  command from the GraphViz package.
  
  See https://github.com/libsigcplusplus/libsigcplusplus/issues/98

2023-12-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Make it compatible with libxml2 >= 2.13.0

  * libxml++/document.cc: Modify #include directives.

2023-12-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README.md: Add info about building the documentation

2023-12-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Parser docs: Add a link to parser options

  Add a link to libxml2's description of parser options in
  the documentation of Parser::set_parser_options().

2023-12-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't fail if warning_level=everything

2023-11-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Make it compatible with libxml2 >= 2.12.0

  * libxml++/document.cc:
  * libxml++/dtd.cc:
  * libxml++/nodes/entitydeclaration.cc:
  * libxml++/nodes/entityreference.cc:
  * libxml++/validators/relaxngvalidator.cc: Modify #include directives.
  * libxml++/keepblanks.cc: Ignore deprecation of xmlKeepBlanksDefault().
  * tests/saxparser_chunk_parsing_inconsistent_state/main.cc:
  Accept that MySaxParser::on_start_document() can be called before
  MySaxParser::on_error().

2023-07-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove AUTHORS and add general information to README.md

  Update the .doap file and rename it to libxmlplusplus.doap.
  See https://gitlab.gnome.org/GNOME/gtkmm/-/issues/140

2023-07-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Doxyfile.in: Remove obsolete entries, LIBXMLXX_API -> LIBXMLPP_API

2023-07-07  Chun-wei Fan  <fanc999@yahoo.com.tw>

  Update Visual Studio build documentation

  Update the build documentation, by:
  
  * Using MarkDown format, to make things easier on the eyes.  Also use
    UNIX line endings here as a result.
  * Update the build info to make things clearer, and add info on Meson
    builds with Visual Studio.

2023-07-05  Chun-wei Fan  <fanc999@yahoo.com.tw>

  meson: Backport libxml2 CMake support

  This is the backport of the CMake support for libxml2, where:
  
  * We use CMake to look for libxml2 as well, if it is not found by
    pkg-config, on Windows. It actually does what the existing method
    does for Visual Studio builds, i.e. look for the libxml2 headers
    and libraries in %INCLUDE% and %LIB% respectively, so no need to
    reinvent the wheels here.  This accomodates usage on Meson 0.55.x.
  * Add support to build libxml2 as a subproject using CMake on Windows,
    like what we do for the master/libxml++-5-0 branches.

2023-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Simplify if-file-exists test

2023-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README.md: meson -> meson setup

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Simplify lookup of python command

  See libsigcplusplus PR#83

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Fix the evaluation of is_git_build on Windows

  See gtkmm#131

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't copy files with configure_file()

  It's deprecated since Meson 0.64. The replacement, fs.copyfile(),
  is not useful here. It only copies from the source directory to
  the build directory.

2022-09-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Detect if we build from a git subtree

  See https://gitlab.gnome.org/GNOME/gtkmm/-/merge_requests/72

2022-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Convert README to README.md

2022-09-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.2

2022-08-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC_NMake/README: Fix up libsigc++ .lib name.

  It's always sigc-vc140-2_0.lib for Visual Studio 2015 and later.

2022-08-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  MSVC_NMake/README: Document dependency placement

  ... so that it is easier for people to build libxml++ with less need to
  tinker with the build files or the %INCLUDE% and %LIB% envvars.

2022-08-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Make things more configurable

  Add the INCLUDEDIR and LIBDIR options, so that we can set where we find
  dependent headers and libraries, if they are not in %INCLUDE% and/or %LIB%
  and are not in $(PREFIX)\include and $(PREFIX)\lib.
  
  Also mention about the PREFIX and PERL options, so that one can use them when
  necessary.

2022-05-24  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson/MSVC: Ignore warning C4706

  ... which means "assignment within conditional expression".  We don't really
  need to worry too much about this warning here.

2022-05-24  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson/MSVC: Re-organize warning-related compiler flags

  Add a short description for each of the warning-related compiler flags that we
  apply globally.
  
  Also, apply '/wd4267' only when we are building a 64-bit build, as that warning
  should only be related to 64-bit builds.

2022-05-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Some minor cleanups

  We don't actually need to check for the /wd4828 compiler flag here, so stop
  checking for that.
  
  Move the '/utf-8' compiler flag check to be together with the other warning-
  related compiler flag checks.

2022-05-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Avoid configuration warnings

2022-05-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/manual: Sort example file lists

  so that docs/manual/libxml++.xml builds in a reproducible way. See
  https://gitlab.gnome.org/GNOME/gtkmm-documentation/-/merge_requests/15
  by Bernhard M. Wiedemann.

2022-03-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  libxml++/libxml++.h: Update the link to the tutorial

2022-02-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Specify 'check' option in run_command()

  The default value will be changed in future Meson releases.
  
  Don't use deprecated python3.path() and execute(..., gui_app: ...).
  Let import('python').find_installation() always find the python
  installation used to run Meson.

2021-11-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Support Visual Studio 2022

  Make these builds distinct from Visual Studio 2019 builds.

2021-11-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Win32: Don't include afxres.h in resources

  We can save people from a large download and a large disk footprint for the
  MFC/ATL items as those items are only optionally installed for later
  (2017+) Visual Studio versions, by including winresrc.h instead, which
  is always present in a Visual Studio installation.

2021-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/manual, Meson config: Check if xmllint can be used

2021-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/manual: Upgrade from DocBook 4.1 to DocBook 5.0

2021-08-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Check if Perl is required for building documentation

  New versions of mm-common use the Python scripts doc_postprocess.py
  and doc_install.py instead of the Perl scripts doc-postprocess.pl and
  doc-install.pl when documentation is built.

2021-07-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  insert-example-code.py: Specify file encoding

  The default file encoding is platform dependent in Python.
  Better tell which encoding is expected.

2021-07-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/manual/libxml++_without_code.xml: Add id on <sect1> elements

2021-07-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/reference/Doxyfile.in: Remove obsolete COLS_IN_ALPHA_INDEX

2021-07-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Add insert_example_code.py

  * docs/manual/insert_example_code.py: New Python file, equivalent to
  the insert_example_code.pl Perl file.
  
  The Perl file is still used when building with Autotools.

2021-06-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Document, Node: Recognize HTML documents

  Documents created with htmlReadDoc() have xmlElementType ==
  XML_HTML_DOCUMENT_NODE. Handle that type like the XML_DOCUMENT_NODE
  type. htmlDoc* is an alias for xmlDoc*.
  Fixes #23

2021-05-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.1

2021-05-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Documentation: Let links point to libxml++-2.6 versions

2021-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add dependencies to Doxygen tag files in subprojects

  Doxygen in a main project shall not be called before tag files have been
  created or updated in subprojects.

2021-05-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix build as subproject without building documentation

  * meson.build: If mm-common-get is not found in maintainer-mode
  with 'required: false', try with 'required: true'.
  Don't try to use tag_file, if documentation is not built.
  * docs/reference/meson.build: Don't use variables from modules
  that don't define doxytagfile. These are subprojects that don't build
  their documentation.

2021-05-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Clean up Visual Studio build files

  We no longer need to ignore warnings C4251, C4273 and C4275, and we will
  now use /EHsc, so we also no longer need to ignore warning C4530.

2021-05-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  libxml++: Export classes selectively

  This will make the code avoid exporting items such that things are tied
  to a particular Visual Studio and STL version, and eliminate warnings
  C4251, C4273 and C4275 from the build.

2021-05-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Headers: Do not mark Glib::ustring with LIBXMLPP_API

  It's not necessary, and would cause trouble if we want to update
  Glib::ustring to not export std::string from within itself, as that is a
  potential source of trouble

2021-05-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Subprojects can use meson.add_dist_script() if meson.version() >= 0.58.0

  * meson.build:
  * docs/manual/meson.build:
  * docs/reference/meson.build:
  Call add_dist_script() in a subproject, if meson.version() >= 0.58.0.
  * tools/build_scripts/tutorial-custom-cmd.py:
  Use MESON_PROJECT_DIST_ROOT if it exists, else MESON_DIST_ROOT.
  It exists if meson.version() >= 0.58.0.

2021-04-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: No implicit_include_directories

2021-03-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Make it possible to use libxml++ as a subproject

  glibmm-2.4 can be a subproject of libxml++.
  libxml2 can't be a subproject because it can't be built with Meson.

2021-03-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/reference/Doxyfile.in: Remove obsolete entries

2021-03-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  libxml++config.h.*: Don't dllimport on MinGW

  This will fix warnings when building items using libxml++ with MinGW/GCC.
  
  Please see: https://gitlab.gnome.org/GNOME/gtkmm/-/issues/90

2020-10-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Docs: Change libxml++ webpage mentions to GitHub

  Change libxmlplusplus.sourceforge.net to
  libxmlplusplus.github.io/libxmlplusplus.
  Change git.gnome.org to GitHub.

2020-10-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.42.0

2020-10-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Fix versioning on macOS

  See libsigcplusplus, pull request 65

2020-10-01  From: Murray Cumming  <murrayc@murrayc.com>

  Parser: Replace (deprecated) Glib::Threads::Mutex with std::mutex.

  Added by Kjell Ahlstedt: This patch and the two patches
  * Parser: Correct the SaxParserCallback prototype declaration.
  * C++11: Use of override keyword.
  have been copied from the libxml++-2.42 branch. That branch should
  be avoided in favor of libxml++-2-42.

2020-10-01  Murray Cumming  <murrayc@murrayc.com>

  Parser: Correct the SaxParserCallback prototype declaration.

2020-10-01  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use of override keyword.

  To fix the build with --enable-warnings=fatal.

2020-07-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use Meson-style DLL and .lib naming if requested

  To make things more consistent and less prone to confusion, if 'USE_MESON_LIBS'
  is specified in the NMake command line, build the DLLs and .lib's that are
  named like the Meson counterparts.  Binaries built with Meson+Visual Studio
  and the ones that are built via NMake using 'USE_MESON_LIBS' are
  interchangeable, provided that they are built with the same Visual Studio
  version.

2020-07-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix build from tarballs

  Update the rules so that we won't attempt to unnecessarily generate
  libxml++config.h and libxml++.rc in our builds, and make sure that we do indeed
  generate them with the version info if generating them becomes necessary.
  
  Also streamline this process so that it will be part of the 'all' target.

2020-07-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix default include paths

  Fix a typo where we include glibmmconfig.h, and make sure we also look for
  headers in $(PREFIX)\include

2020-07-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support ARM64 Windows builds

  This will make the NMake Makefiles capable of building ARM64 binaries of
  libxml++, which can be used on Windows 10 on ARM systems.

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Apply toolset version for Meson-built deps

  As the Meson build files for Visual Studio apply the toolset version in the
  .lib filenames by default, apply the toolset version in the Meson-built -mm
  .lib files that we link in, just as we did when we we link in the -mm .lib
  files that was built with NMake, by default.
  
  The option 'USE_COMPAT_LIBS' will also mean that we will use the former
  behavior when we link in the Meson-built -mm .lib's, just as we did when we
  link in the NMake-built -mm .lib's.
  
  Also let people know the resolution to strange linker errors that are caused
  by mixing Visual Studio versions when building the -mm libraries.

2020-06-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README: Update with instructions for building libxml++

2020-06-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add support for building libxml++ with Meson

  libxml++-2.6 can be built with either Autotools or Meson.
  New files have been copied from the libxml++-3-2 branch. Some of them
  have been slightly changed.

2020-06-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/reference/Doxyfile.in: Remove PERL_PATH

  Doxygen since version 1.8.0 does not use PERL_PATH and MSCGEN_PATH.

2020-06-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Drop gendef.cc

  Since we are now using compiler directives or mechanisms to export symbols from
  our libxml++ DLL for all Windows dynamic builds, it's time to drop gendef.cc,
  as it is no longer used

2020-06-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Stop using gendef

  This updates the NMake Makefiles to stop building and using the gendef tool,
  since we are now using compiler directives to export symbols for libxml++
  builds.
  
  Since this branch did not have official and working Visual Studio build files,
  and it is not API/ABI compatible with the libxml++-2.6 series, gendef.cc will
  be dropped in the next commit

2020-06-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  libxml++config.h.in: Re-organize LIBXMLPP_API

  We want to set LIBXMLPP_API to the following:
  
  * __declspec(dllexport) when building the libxml++ DLL on Windows
  * __declspec(dllimport) when using the libxml++ DLL on Windows
  * <nothing> if building/using a static or a non-Windows libxml++ build

2020-06-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  libxml++ headers: Mark classes and functions with LIBXMLPP_API

  This prepares us to export and symbols on Visual Studio builds using only
  compiler directives, and to drop the venerable gendef.cc

2020-06-19  Chun-wei Fan  <fanchunwei@src.gnome.org>

  libxml++/*.h: Remove check for old _MSC_VER stuff

  They aren't applicable anymore, since the newer Visual Studio versions
  addressed the issues.

2020-06-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/Makefile.am: Fix builddir != sourcedir builds

2020-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update MSVC_NMake/README

  Update instructions for building since we moved to using NMake
  Makefiles, and let people know that the same compiler version is
  required for building libxml++, glibmm and libsigc++.

2020-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Drop Visual Studio 2010 projects

  They have been superseded with the NMake Makefiles, so it's time to
  retire them from the source tree.

2020-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Add NMake Makefiles

  This adds a set of NMake Makefiles that can be used to build libxml++,
  which will replace the Visual Studio 2010(!) projects that reside in the
  repository (which is probably broken and we actually need Visual Studio
  2017+ to build the current code due to a bug in the Visual Studio 2015
  compiler).
  
  The unfortunate fact is that we do need to link to a glibmm that is
  built with the same compiler, otherwise linking will fail and the
  binaries of the dependent glibmm built with other compilers won't work
  well with the builds here if they are built with other Visual Studio
  compilers, so we will need to separate the output filenames
  for the resulting .lib and .dll files for Visual Studio 2015, 2017 and 2019.
  A NMake Makefile build options "USE_COMPAT_LIBS" is added if linking to
  xxxx-vc140-y_z.lib for glibmm is still desired, such as in the case where
  glibmm was actually built with Visual Studio 2017 or 2019.

2020-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  gendef.cc: Skip symbols implemented inline

  Like in the case of gtkmm, some symbols were implemented inline in the CRT on
  Visual Studio 2015+ (UCRT), so we don't want to put them in our .def file,
  otherwise linking will fail.

2020-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  tests: Don't include config.h

  The libxml++config.h should already fulfil our needs here.

2020-06-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Rename MSVC_Net2010 to MSVC_NMake

  This initiates the move from the Visual Studio project files to using NMake
  Makefiles, so that we reduce the likelihood of the MSVC build files becoming
  outdated, by sharing the autotools build files' source listings.

2017-05-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Document, DomParser: Improve XInclude processing

  * examples/Makefile.am:
  * examples/dom_xinclude/example.xml: Changed due to moved include files.
  * examples/dom_xinclude/include1.txt:
  * examples/dom_xinclude/include2.xml: Moved to examples/dom_xinclude/xinclude/
  * examples/dom_xinclude/main.cc: Test both Document::process_xinclude() and
  Xinclude processing with DomParser::parse_file().
  * libxml++/document.[cc|h]: Add fixup_base_uris parameter to process_xinclude().
  * libxml++/parsers/domparser.[cc|h]: Add set/get_xinclude_options().
  Add optional XInclude processing to the parse methods.
  * libxml++/parsers/parser.[cc|h]: Add set/get_xinclude_options_internal().
  Bug 781566

2016-07-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Require mm-common 0.9.10

  Necessary when MM_AX_CXX_COMPILE_STDCXX is used in configure.ac.

2016-07-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Fix even more silent 'make check'

  * examples/Makefile.am: Add $(AM_V_GEN) and $(AM_V_at) to 'echo' commands.
  Bug #768797

2016-07-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Build: Fix silent builds

  * configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
  Replace MM_AX_CXX_COMPILE_STDCXX_11 by MM_AX_CXX_COMPILE_STDCXX (not necessary
  for silent builds).
  * docs/reference/Doxyfile.in: Set QUIET=YES.
  Update for doxygen 1.8.11 (not necessary for silent builds).
  Bug #768797

2016-07-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Element::remove_attribute(): Delete the C++ wrapper

  * libxml++/nodes/element.cc: Call Node::free_wrappers() before the call to
  xmlUnsetProp() or xmlUnsetNsProp(). Bug #768404.
  Based on a patch by Harald Schmalzl <h.schmalzl@gekko.at>

2015-11-05  Renu Tyagi  <renu.tyagi@samsung.com>

  Element: Remove redundant null check

  Bug #757515

2015-10-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  2.40.1

2015-10-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parser, Validator: Make handle_exception() private

  * libxml++/exceptions/wrapped_exception.h: Added comment.
  * libxml++/parsers/parser.h:
  * libxml++/validators/validator.h: Make handle_exception() private. Then it
  will certainly not be considered added API, and it can be included in
  libxml++ 2.40.1. Bug #757042.

2015-10-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  SaxParser docs: Describe exception handling

  * libxml++/parsers/saxparser.h: Note in the class description that some
  exceptions are replaced by xmlpp::exception if std::exception_ptr is not
  supported. Bug #757042.

2015-10-26  Daniel Trebbien  <dtrebbien@gmail.com>

  Work around some platforms' lack of support for std::exception_ptr

  * libxml++/exceptions/wrapped_exception.[cc|h]: Declare the wrapped_exception
  class only if LIBXMLXX_HAVE_EXCEPTION_PTR is defined.
  * libxml++/parsers/parser.[cc|h]:
  * libxml++/parsers/saxparser.cc: Add Parser::handle_exception(), and call
  it instead the handleException().
  * libxml++/validators/validator.[cc|h]: Add Validator::handle_exception(),
  and call it instead the handleException().
  * tests/saxparser_chunk_parsing_inconsistent_state/main.cc:
  * tests/saxparser_parse_double_free/main.cc:
  * tests/saxparser_parse_stream_inconsistent_state/main.cc: Catch
  xmlpp::exception, if LIBXMLXX_HAVE_EXCEPTION_PTR is not defined.
  Bug #757042.
  
  Kjell Ahlstedt <kjell.ahlstedt@bredband.net> added handle_exception() and
  modified Daniel Trebbien's patch to fit with the previous commit.

2015-10-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add LIBXMLXX_HAVE_EXCEPTION_PTR

  * build/.gitignore: New file.
  * build/cxx_std.m4: New file with LIBXMLXX_CXX_HAS_EXCEPTION_PTR
  autoconf macro. Defines LIBXMLXX_HAVE_EXCEPTION_PTR if std::exception_ptr
  exists.
  * .gitignore: Move some lines to build/.gitignore.
  * configure.ac: Store some build files in the build directory, like most mm
  packages. Don't use the macros directory.
  * libxml++config.h.in: Add LIBXMLXX_HAVE_EXCEPTION_PTR.
  * Makefile.am:
  * docs/Makefile.am: macros -> build. Bug #757042.
  
  Thanks to Daniel Trebbien <dtrebbien@gmail.com>, who supplied a patch with
  the test code in LIBXMLXX_HAVE_EXCEPTION_PTR.

2015-10-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Still more use of nullptr instead of 0

2015-10-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  More use of nullptr instead of 0

  Bug #756166 (also the previous commit)

2015-10-08  Gaurav Gupta  <g.gupta@samsung.com>

  Use nullptr instead of 0 at missing places - C++-11

2015-09-21  Murray Cumming  <murrayc@murrayc.com>

  2.40.0

2015-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update the manual

  * docs/manual/libxml++_without_code.xml: Minor updates.

2015-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  docs/Makefile.am: Fix missing update of relative path

  Fix relative path to ../examples in the rule for manual/libxml++.xml.
  Add a TODO comment, because I'm uncertain about the relative paths in
  the rsync commands that upload to sourceforge.net.

2015-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Split Makefile.am

  * Makefile.am: Move most of the contents to the new files. It makes libxml++
  more like other mm packages.
  * docs/Makefile.am:
  * libxml++/filelist.am:
  * libxml++/Makefile.am:
  * MSVC_Net2010/filelist.am: New files.
  * configure.ac: Add the new Makefiles to AC_CONFIG_FILES().
  * docs/reference/Doxyfile.in: Remove docs/ from relative paths.

2015-09-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Remove MSVC 2005 and 2008 projects

  MSVC_Net2005/*:
  MSVC_Net2008/*: Remove the whole directories.
  configure.ac:
  Makefile.am:
  .gitignore: Remove MSVC_Net2005 and 2008 files.
  
  It's no longer possible to build libxml++ with MSVC 2005 or 2008, when C++11
  features are used. MSVC 2010 is not useful either, but its project files
  are kept for now. They can perhaps be useful as a starting point when building
  with later MSVC versions. See also libsigc++ bug 754082.

2015-09-05  Murray Cumming  <murrayc@murrayc.com>

  2.39.2

2015-08-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  xmlpp::wrapped_exception: Add comments

  Bug #753570

2015-08-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Fix make check with --enable-warnings=fatal and fix make distcheck

  * tests/saxparser_chunk_parsing_inconsistent_state/main.cc:
  * tests/saxparser_parse_double_free/main.cc: Comment out names of unused
  parameters in function definitions.
  * Makefile.am: Add wrapped_exception.h to h_exceptions_sources_public or else
  it won't be distributed.
  * libxml++/exceptions/wrapped_exception.h: Add DOXYGEN_SHOULD_SKIP_THIS.
  xmlpp::wrapped_exception is a private class that shall not be included in
  the documentation. Bug #753570.

2015-08-27  Daniel Trebbien  <dtrebbien@gmail.com>

  Introduce xmlpp::wrapped_exception

  This is an internal class which is used by SaxParser and Validator to
  save the exception object thrown by a handler method when the exception
  does not derive from xmlpp::exception (e.g. std::exception). The Raise()
  method of xmlpp::wrapped_exception calls std::rethrow_exception() to
  rethrow the exception object thrown by the handler method.
  
  Catching any exception object thrown by a handler method is important in
  ensuring that we are able to reset the internal state, and, in the case
  of SaxParser::parse(), that we restore the old _xmlSAXHandler pointer so
  that we do not double-free the _xmlSAXHandler object held by SaxParser.
  
  Fixes Bug 753570 - “double free or corruption” if a std::exception is thrown
  https://bugzilla.gnome.org/show_bug.cgi?id=753570

2015-08-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Replace some auto_ptr by unique_ptr

  * libxml++/parsers/parser.cc:
  * libxml++/parsers/saxparser.cc:
  * libxml++/validators/relaxngvalidator.cc:
  * libxml++/validators/validator.cc:
  * libxml++/validators/xsdvalidator.cc: Replace the deprecated std::auto_ptr
  by std::unique_ptr. There are still auto_ptrs in header files. Replacing
  them would break ABI. Bug #753123.

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  2.39.1

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  Add -Wformat-security to --enable-warnings=fatal.

  Because we use it in glibmm too. No code changes were necessary.

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  Fix the build with -Wshadow.

  And add this warning to --enable-warnings=fatal.

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  C++11: More use of auto.

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  C++11: Some use of range-based for loops.

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use auto.

2015-07-20  Murray Cumming  <murrayc@murrayc.com>

  C++11: NonCopyable: Use = delete instead of private.

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use nullptr instead of 0.

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

  C++11: Replace throw() with noexcept.

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use the override keyword.

2015-07-19  Murray Cumming  <murrayc@murrayc.com>

  Docs: Correct odd use of "herited" word.

2015-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Require C++11

  * configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11 from mm-common to check for
  compiler support for C++11 and use it (-std=c++11 for current versions of g++).
  Among other reasons, this is because libsigc++ and glibmm now require C++11,
  and gmmproc generates C++11 code.

2015-06-08  Murray Cumming  <murrayc@murrayc.com>

  2.38.1

2015-04-30  Mikhail Titov  <mlt@gmx.us>

  Fix the build with C++11 compilers, such as MS Visual C++ 2013.

  Implicit conversions from streams to bool are no longer allowed.

2015-03-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Disable deprecated API in dependencies if --enable-warnings=fatal

  * configure.ac: Disable deprecated API in glib, glibmm and libsigc++ when
  building with --enable-warnings=fatal.
  * libxml++/validators/parser.cc: Put #include <glibmm/threads.h> first.
  Necessary when G_DISABLE_DEPRECATED is defined.

2015-03-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Require libxml2 2.7.7 or later

  * configure.ac: Require libxml2 2.7.7 or later. Earlier versions contain a
  bug that makes some of the example programs crash.

2015-02-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  2.38.0

2015-02-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Docs: Update for Doxygen 1.8.9

  * docs/reference/Doxyfile.in: Update for Doxygen 1.8.9.

2014-10-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  2.37.2

2014-10-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parser: Add input operator>>()

  * libxml++/parsers/parser.h: Add operator>>(std::istream& in, Parser& parser).
  * examples/dom_parse_entities/main.cc: Use operator>>(). Bug #329281.

2014-10-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Remove libxml++/Makefile.am

  * libxml++/Makefile.am: Removed file. It has not been used for quite some time.

2014-10-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add RelaxNGSchema and RelaxNGValidator

  * Makefile.am: Add new files.
  * libxml++/libxml++.h: Add new header files.
  * examples/Makefile.am: Add schemavalidation/example.rng.
  * examples/schemavalidation/main.cc: Add test of RelaxNGValidator.
  * examples/schemavalidation/example.rng:
  * libxml++/relaxngschema.[cc|h]:
  * libxml++/validators/relaxngvalidator.[cc|h]: New files.
  
  Thanks to Tjalling Hattink <t.hattink@fugro.nl>, who made other versions
  of the new files, which were attached to bug #737712.

2014-10-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add XsdSchema and XsdValidator. Deprecate Schema and SchemaValidator

  * configure.ac: Add MM_ARG_DISABLE_DEPRECATED_API([LIBXMLXX]).
  * Makefile.am: Add new files.
  * libxml++config.h.in: Add LIBXMLXX_DISABLE_DEPRECATED.
  * libxml++/libxml++.h: Add new header files.
  * libxml++/schema.[cc|h]:
  * libxml++/validators/schemavalidator.[cc|h]: Deprecate the whole files.
  * examples/schemavalidation/main.cc: Add test of XsdValidator.
  * libxml++/schemabase.[cc|h]:
  * libxml++/xsdschema.[cc|h]:
  * libxml++/validators/schemavalidatorbase.[cc|h]:
  * libxml++/validators/xsdvalidator.[cc|h]: New files. Bug #737712.

2014-10-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Validator: Make initialize_valid() callable from all subclasses

  * libxml++/validators/validator.cc: In initialize_valid(), don't initialize
  valid_'s data members, if it's a null pointer.
  * libxml++/validators/schemavalidator.cc: Call the base class version from
  initialize_valid() instead of copying some code from it.

2014-10-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Schema::get_name(): Don't use null pointer

  * libxml++/schema.cc: Don't use null pointers in get_name(),
  get_target_namespace() and get_version().

2014-10-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  examples/dom_update_namespace: Add calls to Node::add_child_with_new_ns()

  * examples/dom_update_namespace/main.cc: Add calls to add_child_with_new_ns().
  Bug #737682.

2014-10-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add Node::add_child_with_new_ns()

  * libxml++/nodes/node.[h|cc]: Add add_child_with_new_ns() (*2) and
  add_child_before_with_new_ns(). Bug #737682.

2014-10-10  Mathias Lorente  <mathias.lorente@gadz.org>

  Add dom_update_namespace example

  * .gitignore: add /examples/dom_update_namespace/dom_update_namespace
  * examples/Makefile.am: Add dom_update_namespace files.
  * examples/dom_update_namespace/main.cc:
  * examples/dom_update_namespace/example1.xml:
  * examples/dom_update_namespace/example2.xml: New files. Bug #737682.

2014-10-10  Mathias Lorente  <mathias.lorente@gadz.org>

  Element::set_namespace_declaration(): Update the node's associated namespace

  * libxml++/nodes/element.cc: Update the node's associated namespace, if the
  added namespace prefix is the same as the node's own namespace prefix.
  * libxml++/nodes/element.h: Mention in the documentation that child nodes
  are not updated. Bug #737682.

2014-09-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Docs: Use doxygen-extra.css

  * configure.ac: Require mm-common 0.9.7.
  * .gitignore: Ignore doxygen-extra.css.
  * docs/reference/Doxyfile.in: Use doxygen-extra.css instead of doxygen.css.

2014-09-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Late update of configure.ac and NEWS for 2.37.1

  The changes in configure.ac and NEWS were not pushed to the git repository
  when libxml++ 2.37.1 was released. These are the changes that are included
  in the tarball.
  The last commit in 2.37.1 is "Fix examples/Makefile.am for new versions
  of automake" from 2013-09-14.

2014-09-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update libxml++.doap

  * libxml++.doap: Update homepage and mailing-list.
  Add description, download-page, bug-database and programming-language.
  Comment category, because no allowed category seems suitable for libxml++.

2014-08-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Remove MAINTAINERS

  * MAINTAINERS: Removed file. It has been replaced by libxml++.doap.
  * Makefile.am: Don't distribute MAINTAINERS.

2014-07-04  Gaurav  <g.gupta@samsung.com>

  Document: Avoid possible null pointer dereference

  * libxml++/document.cc: In create_root_node() check that 'element' is
  non-null before it's used. Bug #732604.

2014-05-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add version information to libxml++config.h

  * libxml++config.h.in: Add LIBXMLXX_[MAJOR,MINOR,MICRO]_VERSION.
  Define LIBXMLCPP_EXCEPTIONS_ENABLED unconditionally in libxml++config.h.

2014-05-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Avoid infinite loop with Doxygen 1.8.6

  * configure.ac: Use the libstdc++.tag and libsigc++-2.0.tag files that were
  used when glibmm-2.4.tag was created.
  * docs/reference/libstdc++.tag.xml: Deleted file.

2013-09-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Fix examples/Makefile.am for new versions of automake.

  * examples/Makefile.am: Don't use make functions, such as addsuffix, in
  check_SCRIPTS. New versions of automake (e.g. 1.13.4) expect to find only
  a blank-separated list of filenames.
  * .gitignore: With new versions of automake, 'make check' generates more
  output files. Ignore them. Bug #678390.

2013-09-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Manual: Add XIncludeStart and XIncludeEnd to the node type tree.

  * docs/manual/libxml++_without_code.xml: Add XIncludeStart and XIncludeEnd
  to the node type tree in the DOM Parser section. Should have been done when
  those node types were added.

2013-08-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Node: Move the null-pointer check to the constructor.

  * libxml++/nodes/node.[h|cc]: Let the constructor throw xmlpp:internal_error
  if impl_ == 0. Remove other null-pointer checks. Bug #705187.

2013-08-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update Doxyfile.in for doxygen 1.8.3.

  * docs/reference/Doxyfile.in: Update for doxygen 1.8.3. Make it more similar
  to the template file at mm-common/skeletonmm/doc/reference.
  * libxml++/validators/schemavalidator.h: Fix the parameter name in a doxygen
  @param comment.

2013-08-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parser: Add [set|get]_include_default_attributes().

  * libxml++/parsers/parser.[h|cc]: Add [set|get]_include_default_attributes()
  and [set|get]_parser_options().
  * examples/dom_parser/main.cc: Add command option -a for testing
  Parser::set_include_default_attributes().
  * examples/dom_read_write/example.dtd:
  * examples/dom_read_write/example.xml: Add an attribute with default value.
  * examples/dom_read_write/main.cc: Add an optional call to
  Parser::set_include_default_attributes(). Bug #701674.

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

  Whitespace fix

2013-07-31  Murray Cumming  <murrayc@murrayc.com>

  Node: Improve some null-pointer checks

  * libxml++/nodes/node.cc:
    If we are going to check impl_ for null, we may as well do it
    where it makes most sense. Note that we do not bother yet to check
    for this in other functions. If we did this consistently we would
    want a sensible way to respond to it, such as an exception.
  
  Bug #705187 (Gaurav)

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

  Move to a generated ChangeLog.

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

  Include file for auto-generation of ChangeLog from right directory.

  	* Makefile.am:

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

  Auto-generate the ChangeLog from the git log for 'make dist'.

  	* Makefile.am: Include the dist-changelog.am file copied in build/
  	from mm-common so that the ChangeLog is automatically generated from
  	the git commit messages on 'make dist'.

2013-06-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Examples dom_parse_entities and dom_parser: Fix when LC_ALL=C.

  * examples/testutilities.[h|cc]: New files with class CatchConvertError.
  * examples/Makefile.am: Add testutilities.[h|cc].
  * examples/dom_parse_entities/main.cc:
  * examples/dom_parser/main.cc: Change some strings from Glib::ustring to
  CatchConvertError before they are printed. It catches Glib::ConvertError
  locally. 'make check' can pass even if the global locale does not support all
  printed characters. Bug #702136.

2012-11-04  Murray Cumming  <murrayc@murrayc.com>

  2.36.0

2012-10-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Element::set_namespace_declaration(): No error to set the same URI twice.

  * libxml++/nodes/element.[h|cc]: Don't throw an exception from
  set_namespace_declaration(), if a namespace prefix is assigned the same URI
  twice. Bug #635846, comment 27.

2012-10-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Require libxml-2.0 >= 2.7.3.

  * configure.ac: Require libxml-2.0 >= 2.7.3.
  Don't know if it's really necessary, but 2.7.2 from 2008-10-03 is the oldest
  release available at ftp://xmlsoft.org/libxml2, and 2.7.2 contains a bug that
  makes examples/import_node segfault.

2012-10-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parser::initialize_context(): Call xmlCtxtUseOptions().

  * libxml++/parsers/parser.cc: initialize_context(): Call xmlCtxtUseOptions()
  instead of setting context_->validate and replaceEntities.
  xmlCtxtUseOptions() does that and more.

2012-10-08  Murray Cumming  <murrayc@murrayc.com>

  2.35.4

2012-08-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add XInclude processing.

  * Makefile.am: Add XIncludeStart and XIncludeEnd nodes.
  * examples/Makefile.am: Add dom_xinclude example.
  * examples/README: Add dom_xinclude example and other missing examples.
  * examples/dom_xinclude/example.xml:
  * examples/dom_xinclude/include1.txt:
  * examples/dom_xinclude/include2.xml:
  * examples/dom_xinclude/main.cc: New files.
  * libxml++/document.[h|cc]: Add process_xinclude().
  * libxml++/libxml++.h: Add new header files.
  * libxml++/nodes/node.cc: create_wrapper(): Create XIncludeStart and
  XIncludeEnd nodes.
  * libxml++/nodes/xincludeend.[h|cc]:
  * libxml++/nodes/xincludestart.[h|cc]: New files.
  * .gitignore: Ignore /examples/dom_xinclude/dom_xinclude. Bug #338521.

2012-08-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parser: Make it thread-safe.

  * configure.ac: Require glibmm-2.4 >= 2.32.0.
  * libxml++/parsers/parser.cc: Protect all accesses to extra_parser_data with
  a Glib::Threads::Mutex. Bug #681467.

2012-08-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Document: Make the Document(xmlDoc*) constructor public.

  * libxml++/document.h: Make the Document(xmlDoc*) constructor public.
  Remove friend declarations that become unnecessary. Bug #668980.

2012-08-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Improve the DtdValidation and SchemaValidation example programs.

  * examples/dtdvalidation/main.cc:
  * examples/schemavalidation/main.cc: Print all information from all thrown
  xmlpp exceptions.

2012-08-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Validators: Improve the error handling.

  * libxml++/validators/validator.[h|cc]:
  * libxml++/validators/dtdvalidator.[h|cc]:
  * libxml++/validators/schemavalidator.[h|cc]: Check more return codes from
  libxml2 functions. Improve the description of member functions in the
  reference documentation. Bug #635846.

2012-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add incremental parsing to the SaxParser example program.

  * examples/sax_parser/main.cc: Uncomment and correct the code that shows
  incremental parsing with SaxParser::parse_chunk().

2012-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parsers: Improve the error handling.

  * libxml++/parsers/domparser.[h|cc]:
  * libxml++/parsers/saxparser.[h|cc]:
  * libxml++/parsers/textreader.[h|cc]: Check more return codes from libxml2
  functions. Improve the description of errors in the reference documentation.
  Bug #635846.

2012-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Document, Element, Node: Remove unnecessary tests for null pointers.

  * libxml++/document.cc:
  * libxml++/nodes/element.cc:
  * libxml++/nodes/node.cc: Remove tests for null pointer before calling
  xmlFreeNode(), which does nothing if given a null pointer. These unnecessary
  tests were newly added when error handling was improved. Bug #635846.

2012-08-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Schema::set_document(): Create empty document.

  * libxml++/schema.[h|cc]: set_document(): If the argument 'document' is 0,
  create an empty document, as the documentation says.

2012-08-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Document, Schema: Improve the error handling.

  * libxml++/document.[h|cc]:
  * libxml++/schema.[h|cc]: Check more return codes from libxml2 functions.
  Improve the description of errors in the reference documentation. Bug #635846.

2012-08-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Element, Node: Improve the error handling.

  * libxml++/nodes/element.[h|cc]:
  * libxml++/nodes/node.[h|cc]: Check more return codes from libxml2 functions.
  Improve the description of errors in the reference documentation. Bug #635846.

2012-06-21  Murray Cumming  <murrayc@murrayc.com>

  2.35.3

2012-06-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add examples/Makefile.am. Let 'make check' run the examples.

  * examples/Makefile.am: New file. Let 'make check' both compile and run the
  example programs.
  * Makefile.am: Call examples/Makefile. Move all 'examples' stuff to
  examples/Makefile.am.
  * configure.ac: Remove --enable-examples. Generate examples/Makefile.
  * .gitignore: Ignore make-check-sh. Bug #678390.

2012-06-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Example programs: Fix return codes and print errors on std::cerr.

  * examples/*/main.cc: Return EXIT_FAILURE in case of failure. Print error
  messages on std::cerr. The example programs can then be run by 'make check'.
  Bug #678390.

2012-04-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Node: Add functions eval_to_[boolean|number|string]().

  * examples/dom_xpath/example.xml: Add an element with numeric value.
  * examples/dom_xpath/main.cc: Add calls to the new functions.
  * libxml++/nodes/node.[h|cc]:
  Add the functions eval_to_[boolean|number|string](). Bug #316244.

2012-04-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Node: Make the previous fix thread-safe.

  * libxml++/nodes/node.cc: Delete the C++ wrapper of a deleted attribute node
  without using xmlDeregisterNodeDefault. Bug #672992 comments 9-12.

2012-04-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Node: Fix memory problems in import_node().

  * libxml++/nodes/node.[h|cc]: Return added_node instead of imported_node,
  which libxml2 may delete. Delete the C++ wrapper of a deleted attribute node.
  * examples/import_node/example[1|2].xml:
  * examples/import_node/main.cc: Import attributes and a text node which is
  merged with an existing text node. Bug #672992.

2012-04-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Define LIBXMLCPP_EXCEPTIONS_ENABLED unconditionally.

  * configure.ac: Add AC_DEFINE([LIBXMLCPP_EXCEPTIONS_ENABLED],[1],...

2012-03-30  Murray Cumming  <murrayc@murrayc.com>

  Node: Check for a null pointer, to fix a scan-build warning.

  * libxml++/nodes/node.cc: This seems unlikely.

2012-03-22  Murray Cumming  <murrayc@murrayc.com>

  2.35.2

2012-03-21  Murray Cumming  <murrayc@murrayc.com>

  Fix a warning found by clang++

  	* libxml++/parsers/textreader.h: PropertyReader is a class, not
  	a struct.

2012-03-20  Murray Cumming  <murrayc@murrayc.com>

  Remove the --disable-api-exceptions configure option.

  And remove the #ifdefs and #else blocks from the code.
  This is not used by anybody now, as far as I know, so this makes the
  code easier to maintain.

2012-03-20  Murray Cumming  <murrayc@murrayc.com>

  A fix for the previous commit.

  	* libxml++/nodes/node.cc: get_first_child() const: Use the name
  	parameter.

2012-03-19  Murray Cumming  <murrayc@murrayc.com>

  Node: Add get_first_child().

  * libxml++/nodes/node.[h|cc]: This is like get_children(),
  but it returns only the first node, optionally returning
  the first one with a certain name.
  Based on a patch by Ilya Murav'jov in bug #648125 .

2012-02-16  Murray Cumming  <murrayc@murrayc.com>

  2.35.1

2012-02-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Handle attributes with default values correctly.

  * libxml++/attributedeclaration.[h|cc]:
  * libxml++/attributenode.[h|cc]: New files.
  * Makefile.am:
  * libxml++/Makefile.am: Add the new files.
  * libxml++/libxml++.h: Add the new .h files.
  * docs/manual/libxml++_without_code.xml: Add AttributeDeclaration and
  AttributeNode in the list of node classes.
  * libxml++/attribute.[h|cc]: Make get_value() useful also for default values
  (XML_ATTRIBUTE_DECL). Fix set_value() for attributes in a namespace.
  * libxml++/nodes/element.[h|cc]: get_attribute(): Add description. Don't use
  xmlHasProp(), it ignores namespace.
  * libxml++/nodes/node.cc: get_namespace_prefix(), get_namespace_uri(),
  set_namespace(), create_wrapper(): Add code for XML_ATTRIBUTE_DECL.
  * examples/dom_parser/example.dtd: Add attribute 'title' with default value.
  * examples/dom_parser/example.xml: Add attribute 'title' with explicit value.
  Bug #669635.

2012-02-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Node: Correct mis-spelt LIBXMLCPP_EXCEPTIONS_ENABLED.

  * libxml++/nodes/node.h: Add some "@throws exception".
  * libxml++/nodes/node.cc: Change LIBXMLCPP_EXCEPTIONS_ENABLE to
  LIBXMLCPP_EXCEPTIONS_ENABLED in find_impl() and set_namespace().

2012-02-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Improved handling of entity references and processing instructions.

  * libxml++/nodes/entitydeclaration.[h|cc]: New files.
  * Makefile.am:
  * libxml++/Makefile.am: Add the new files.
  * libxml++/libxml++.h: Add the new .h file.
  * docs/manual/libxml++_without_code.xml: Add EntityDeclaration in the list
  of node classes.
  * libxml++/document.[h|cc]: Add add_processing_instruction().
  * libxml++/nodes/element.[h|cc]: Add add_child_entity_reference() and
  add_child_processing_instruction().
  * libxml++/nodes/entityreference.h: Improve the description of
  get_resolved_text() and get_original_text().
  * libxml++/nodes/node.cc: get_namespace_prefix() and get_namespace_uri():
  XML_ENTITY_DECL has no namespace. Don't try to find it.
  create_wrapper(): Create an EntityDeclaration when type == XML_ENTITY_DECL.
  free_wrappers(): Don't walk the child list when type == XML_ENTITY_REF_NODE.
  * examples/dom_build/main.cc: Add entity declarations and references, and
  processing instructions to the built xml file.
  * examples/dom_parse_entities/example.dtd: Make it compatible with example.xml.
  * examples/dom_parse_entities/example.xml: Add an entity definition that
  contains entity references.
  * examples/dom_parse_entities/main.cc: Print the parsed file both with and
  without entity substitution.
  * examples/dom_parser/example.dtd: Make it compatible with example.xml.
  * examples/dom_parser/main.cc: Add command flag -E (Don't substitute entities).
  Bug #669481

2012-02-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add some files to .gitignore.

  * .gitignore: Add docs files that are copied from mm-common.
  Add /MSVC_Net2010/libxml++/libxml++.rc and
  /examples/dom_read_write/example_output.xml.

2012-02-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add @newin{2,36} to some new functions where it's missing.

  * libxml++/exceptions/exception.h: Add @newin{2,36} to format_xml_error() and
  format_xml_parser_error().
  * libxml++/parsers/parser.h: Add @newin{2,36} to [set|get]_throw_messages().
  Bug #304020.

2012-02-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Make the schema validation example program work with no arguments.

  * examples/schemavalidation/main.cc: Correct the test for number of arguments.

2012-01-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Parser: Throw more detailed error messages.

  * examples/dom_parser/main.cc: Add command parameters -v -e -t.
  * libxml++/exceptions/exception.[h|cc]: Add format_xml_error() and
  format_xml_parser_error().
  * libxml++/parsers/domparser.cc: Call format_xml_error() and
  format_xml_parser_error() to get more detailed messages in exceptions.
  * libxml++/parsers/parser.[h|cc]: Add [set|get]_throw_messages() and (local in
  .cc until ABI can be broken) on_parser_[error|warning](). Bug #304020.

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

  Document: Make the Document(xmlDoc*) constructor protected.

  * libxml++/document.h: This was requested in bug #668980 (A. Pignotti).

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

  Document: write_to_*(): Make sure that we write UTF-8 out.

  	* libxml++/document.cc: Because the xmlDocDump*() functions use some other
  	encoding if you specify NULL, causing errors such as:
  	xmlEscapeEntities : char out of range

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

  2.34.2

2011-09-06  Mathias Lorente  <mathias.lorente@free.fr>

  Node::create_new_child_node(): Use the default namespace if none is specified.

  * libxml++/nodes/node.cc: This is better than just ignoring it.
  Bug #656110

2011-07-20  Murray Cumming  <murrayc@murrayc.com>

  ContentNode::get_content(): Fix a documentation typo.

  * libxml++/nodes/contentnode.h: Mention &gt; instead of &qt (a q
  instead of a g, and no ;.).

2011-07-20  Mathias Lorente  <mathias.lorente@free.fr>

  Add Element::add_child_cdata().

  	* libxml++/nodes/element.[h|cc]: Add add_child_cdata(), using
  	xmlNewCDataBlock(), like the existing add_child_text().
  	* examples/sax_parser_build_dom/example.xml:
  	* examples/sax_parser_build_dom/svgparser.[h|cc]: Use the new API.

2011-04-18  Murray Cumming  <murrayc@murrayc.com>

  2.34.1

2011-04-17  Murray Cumming  <murrayc@murrayc.com>

  Fix distcheck.

  	* Makefile.am: Specify the full path to docbook-customisation.xsl,
  	which is apparently necessary with the autotools that I have here.

2011-04-17  Murray Cumming  <murrayc@murrayc.com>

  Fix the build with --enable-warnings=fatal.

  * configure.ac: Use -no-long-long to avoid an (apparently new) compiler
  warning about long long not being supported by C++98. glibmm already had
  this option.

2011-04-17  Murray Cumming  <murrayc@murrayc.com>

  Do not require mm-common during the tarball build.

  * configure.ac: Add a MM_CONFIG_DOCTOOL_DIR() call.

2011-04-15  Murray Cumming  <murrayc@murrayc.com>

  Really correct NEWS

